🌱 Create a new relationship between two parties
curl --request POST \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partyEmail": "<string>"
}
'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships"
payload = { "partyEmail": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partyEmail: '<string>'})
};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'partyEmail' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships"
payload := strings.NewReader("{\n \"partyEmail\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partyEmail\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"partyEmail\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"partyEmail": "<string>",
"relationshipDirection": "MEMBER",
"relationshipType": "EXECUTIVE",
"id": 123
}Party Management
Party Relationship
This API endpoint allows you to establish a relationship between two parties. The request body should specify the party ID and the desired relationship type.
POST
/
omni-omni
/
v1
/
parties
/
{email}
/
relationships
🌱 Create a new relationship between two parties
curl --request POST \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partyEmail": "<string>"
}
'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships"
payload = { "partyEmail": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partyEmail: '<string>'})
};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'partyEmail' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships"
payload := strings.NewReader("{\n \"partyEmail\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partyEmail\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}/relationships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"partyEmail\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"partyEmail": "<string>",
"relationshipDirection": "MEMBER",
"relationshipType": "EXECUTIVE",
"id": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
MEMBER, PARENT Available options:
EXECUTIVE, SUPERVISORY, GENERAL_MEETING, EMPLOYEE, SHARE_HOLDER, CONTROLLING_PERSON, DIRECTOR, CEO, BOARD_CHAIRMAN, BOARD_MEMBER, SPOUSE, HERITAGE Response
Party relationship is created
Available options:
MEMBER, PARENT Available options:
EXECUTIVE, SUPERVISORY, GENERAL_MEETING, EMPLOYEE, SHARE_HOLDER, CONTROLLING_PERSON, DIRECTOR, CEO, BOARD_CHAIRMAN, BOARD_MEMBER, SPOUSE, HERITAGE